Registration

Dear SAP Community Member,
In order to fully benefit from what the SAP Community has to offer, please register at:
http://scn.sap.com
Thank you,
The SAP Community team.
Skip to end of metadata
Go to start of metadata
The material in this wiki is with reference to versions of SAP Data Services lower than 4.2 Support Pack 2. Due to changes in product the content may not be fully valid for SAP Data Services 4.2 Support Pack 2 or above.

When setting up the Hive Adapter in the Data Services Management Console, you must specify the list of JAR files it will use to browse Hive metadata from the Data Services Designer. Some Hadoop distributions may require a slightly different set of files than others though. Use the list below as a guide for what should be specified when setting up the adapter. Specify the full path to each JAR file in the Management Console.

You can find the following required JAR files within your $HADOOP_HOME directory:

  • hadoop-core-x.jar

where x represents a potential version number for some distributions

NOTE: If you are using Cloudera 4 (CDH4), you will need to use the following instead of hadoop-core-x.jar. Also, the Data Services Hive adapter will not work with Hive Server2. Ensure you only have a Hive Server running.

You can find the following required JAR files within the client-0.20 directory of your Hadoop installation:

  • hadoop-auth-x.jar
  • hadoop-common-x.jar
  • hadoop-core-x.jar
  • hadoop-hdfs-x.jar

You can find the following JAR files within the lib directory of your Hive installation:

  • libfb303-x.jar
  • hive-service-x.jar
  • hive-metastore-x.jar
  • hive-jdbc-x.jar
  • hive-exec-x.jar
  • slf4j-api-x.jar
  • slf4j-log4j12-x.jar
  • commons-logging-x.jar

where x represents a potential version number for some distributions

  • No labels

2 Comments

  1. Hi Martin,

    Since this page is about an year old and all hadoop distributions now come with HiveServer 2, would you know if SAP Data Services can now connect to HiveServer2 or we still have to continue with HiveServer1 (smile).

    Thanks, Sanjay

  2. Is there any update on HiveServer 2 support?

    Is this information valid for CDH 5.7 & DS 4.2 SP5 P1?

     

    Thanks

    Jay